diff -rc xfce-3.8.9.orig/libs/mygtkclock.c xfce-3.8.9/libs/mygtkclock.c
*** xfce-3.8.9.orig/libs/mygtkclock.c	Fri Oct  5 03:31:40 2001
--- xfce-3.8.9/libs/mygtkclock.c	Sun Oct 28 10:57:55 2001
***************
*** 565,573 ****
        clock->mode = MY_GTK_CLOCK_DIGITAL;
        break;
      case MY_GTK_CLOCK_DIGITAL:
-       clock->mode = MY_GTK_CLOCK_LEDS;
-       break;
-     case MY_GTK_CLOCK_LEDS:
      default:
        clock->mode = MY_GTK_CLOCK_ANALOG;
    }
--- 565,570 ----
***************
*** 886,1000 ****
  }
  
  static void
- my_gtk_clock_draw_leds (GtkWidget * widget)
- {
-   MyGtkClock *clock;
-   time_t ticks;
-   struct tm *tm;
-   gint h, m, s;
-   gint x, y;
-   guint c_width = 0;
-   guint c_height = 0;
-   guint len, i;
-   gchar ampm[2] = "A";
-   gchar separator[2] = ":";
-   gchar time_buf[24];
-   
-   g_return_if_fail (widget != NULL);
-   g_return_if_fail (GTK_IS_MY_CLOCK (widget));
- 
-   clock = MY_GTK_CLOCK (widget);
- 
-   ticks = time (0);
-   tm = localtime (&ticks);
-   h = tm->tm_hour;
-   m = tm->tm_min;
-   s = tm->tm_sec;
- 
-   if (h >= 12)
-     ampm[0] = 'P';
- 
-   if (s & 1)
-     separator[0] = ':';
-   else
-     separator[0] = ' ';
-   
-   if (!(clock->military_time))
-   {
-     if (h > 12)
-       h -= 12;
-     if (h == 0)
-       h = 12;
-   }
- 
-   if (clock->military_time)
-   {
-     if (clock->display_secs)
-       sprintf (time_buf, "%02d%s%02d%s%02d", h, separator, m, separator, s);
-     else
-       sprintf (time_buf, "%02d%s%02d", h, separator, m);
-   }
-   else
-   {
-     if (clock->display_am_pm)
-     {
-       if (clock->display_secs)
- 	sprintf (time_buf, "%02d%s%02d%s%02d%s", h, separator, m, separator, s, ampm);
-       else
- 	sprintf (time_buf, "%02d%s%02d%s", h, separator, m, ampm);
-     }
-     else
-     {
-       if (clock->display_secs)
- 	sprintf (time_buf, "%02d%s%02d%s%02d", h, separator, m, separator, s);
-       else
- 	sprintf (time_buf, "%02d%s%02d", h, separator, m);
-     }
-   }
-   if (time_buf[0] == '0')
-     time_buf[0] = ' ';
-     
-   len = strlen (time_buf);
-   
-   if (((len * digits_huge_width) <= widget->allocation.width) && (digits_huge_height <= widget->allocation.height))
-   {
-     clock->leds_size = DIGIT_HUGE;
-     c_width          = digits_huge_width;
-     c_height         = digits_huge_height;
-   }
-   else if (((len * digits_large_width) <= widget->allocation.width) && (digits_large_height <= widget->allocation.height))
-   {
-     clock->leds_size = DIGIT_LARGE;
-     c_width          = digits_large_width;
-     c_height         = digits_large_height;
-   }
-   else if (((len * digits_medium_width) <= widget->allocation.width) && (digits_medium_height <= widget->allocation.height))
-   {
-     clock->leds_size = DIGIT_MEDIUM;
-     c_width          = digits_medium_width;
-     c_height         = digits_medium_height;
-   }
-   else
-   {
-     clock->leds_size = DIGIT_SMALL;
-     c_width          = digits_small_width;
-     c_height         = digits_small_height;
-   }
-   
-   /* Center in the widget */
-   x = (widget->allocation.width - (c_width * len)) / 2;
- 
-   y = (widget->allocation.height - c_height) / 2;
- 
-   gtk_draw_box (widget->style, widget->window, widget->state, clock->shadow_type, 0, 0, widget->allocation.width, widget->allocation.height);
-   for (i = 0; i < len; i++)
-   {
-     draw_digits (clock, widget->style->dark_gc[GTK_STATE_NORMAL], x + i *c_width + 1, y + 1, time_buf[i]);
-     draw_digits (clock, widget->style->text_gc[GTK_STATE_NORMAL], x + i *c_width , y, time_buf[i]);
-   }
- }
- 
- static void
  my_gtk_clock_draw_internal (GtkWidget * widget)
  {
    MyGtkClock *clock;
--- 883,888 ----
***************
*** 1011,1019 ****
      case MY_GTK_CLOCK_ANALOG:
        my_gtk_clock_draw_analog (widget);
        break;
-     case MY_GTK_CLOCK_LEDS:
-       my_gtk_clock_draw_leds (widget);
-       break;
      case MY_GTK_CLOCK_DIGITAL:
      default:
        my_gtk_clock_draw_digital (widget);
--- 899,904 ----
***************
*** 1084,1090 ****
    h = tm->tm_hour;
    m = tm->tm_min;
    s = tm->tm_sec;
!   if (!(((!((clock->display_secs) || (clock->mode == MY_GTK_CLOCK_LEDS))) || (s == os)) && (m == om) && (h == oh)))
    {
      os = s;
      om = m;
--- 969,975 ----
    h = tm->tm_hour;
    m = tm->tm_min;
    s = tm->tm_sec;
!   if ( !(((clock->display_secs) || (s == os)) && (m == om) && (h == oh)))
    {
      os = s;
      om = m;
diff -rc xfce-3.8.9.orig/libs/mygtkclock.h xfce-3.8.9/libs/mygtkclock.h
*** xfce-3.8.9.orig/libs/mygtkclock.h	Tue Oct  2 02:40:20 2001
--- xfce-3.8.9/libs/mygtkclock.h	Sun Oct 28 10:51:55 2001
***************
*** 42,48 ****
    {
      MY_GTK_CLOCK_ANALOG,
      MY_GTK_CLOCK_DIGITAL,
-     MY_GTK_CLOCK_LEDS
    }
    MyGtkClockMode;
  
--- 42,47 ----
diff -rc xfce-3.8.9.orig/scripts/xflock xfce-3.8.9/scripts/xflock
*** xfce-3.8.9.orig/scripts/xflock	Thu Jul 12 14:45:22 2001
--- xfce-3.8.9/scripts/xflock	Sun Oct 28 10:45:47 2001
***************
*** 19,23 ****
  #  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
  #
  
! xscreensaver-command -lock || xlock $*
  exit 0
--- 19,30 ----
  #  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
  #
  
! me=`id -un`
! xalid=`ps -u $me | grep xautolock | grep -v grep`
! if [ "x$xalid" != "x" ]; then
!   xautolock -locknow
! else
!   exec xlock -resetsaver -mosemotion -mode random ${1:+"$*"}
! fi
  exit 0
+ # EOF
\ No newline at end of file
diff -rc xfce-3.8.9.orig/xfce/minpower.h xfce-3.8.9/xfce/minpower.h
*** xfce-3.8.9.orig/xfce/minpower.h	Fri Aug 31 14:32:06 2001
--- xfce-3.8.9/xfce/minpower.h	Sun Oct 28 10:43:26 2001
***************
*** 1,27 ****
  /* XPM */
  static char *minpower[] = {
  /* width height num_colors chars_per_pixel */
!   "    14    16        4            1",
  /* colors */
!   ". c none",
!   "# c #595959",
!   "a c #183c59",
!   "b c #fff7f7",
  /* pixels */
!   ".....###b.....",
!   ".....#aab.....",
!   ".....#aab.....",
!   "..##b#aab###..",
!   ".#aab#aab#aab.",
!   "#aaab#aab#aaab",
!   "#aab.#aab.#aab",
!   "#aab.#aab.#aab",
!   "#aab.bbbb.#aab",
!   "#aab......#aab",
!   "#aab......#aab",
!   "#aaab....#aaab",
!   ".#aaa####aaab.",
!   ".#aaaaaaaaaab.",
!   "..bbaaaaaabb..",
!   "....bbbbbb...."
  };
--- 1,30 ----
  /* XPM */
  static char *minpower[] = {
  /* width height num_colors chars_per_pixel */
! "    24    17        6            1",
  /* colors */
! ". c none",
! "# c #5d6169",
! "a c #dfdfdf",
! "b c #bebebe",
! "c c #414141",
! "d c #202020",
  /* pixels */
! "########################",
! "#aaaaaaaaaaaaaaaaaaaaaaa",
! "#abbbbbbbbbbbbbbbbbbbbca",
! "#abddddbdbbbdbcbdddddbca",
! "#abdbbbbdbbbdbdbbbdbbbca",
! "#abdbbbbbdbdbbdbbbdbbbca",
! "#abdbbbbbdddbbdbbbdbbbca",
! "#abdbbbbbbdbbbdbbbdbbbca",
! "#abdddbbbbdbbbdbbbdbbbca",
! "#abdbbbbbdddbbdbbbdbbbca",
! "#abdbbbbbdbdbbdbbbdbbbca",
! "#abdbbbbbdbdbbdbbbdbbbca",
! "#abdbbbbdbbbdbdbbbdbbbca",
! "#abddddbdbbbdbdbbbdbbbca",
! "#abbbbbbbbbbbbbbbbbbbbca",
! "caccccccccccccccccccccca",
! "caaaaaaaaaaaaaaaaaaaaaaa"
  };
diff -rc xfce-3.8.9.orig/xfce/xfce.c xfce-3.8.9/xfce/xfce.c
*** xfce-3.8.9.orig/xfce/xfce.c	Thu Oct  4 13:37:21 2001
--- xfce-3.8.9/xfce/xfce.c	Sun Oct 28 10:47:15 2001
***************
*** 121,131 ****
  void
  update_gxfce_clock (void)
  {
- #ifdef OLD_STYLE
    my_gtk_clock_set_mode (MY_GTK_CLOCK (gxfce_clock), current_config.digital_clock ? MY_GTK_CLOCK_DIGITAL : MY_GTK_CLOCK_ANALOG);
- #else
-   my_gtk_clock_set_mode (MY_GTK_CLOCK (gxfce_clock), current_config.digital_clock ? MY_GTK_CLOCK_LEDS : MY_GTK_CLOCK_ANALOG);
- #endif
    my_gtk_clock_show_military (MY_GTK_CLOCK (gxfce_clock), current_config.hrs_mode);
  }
  
--- 121,127 ----
***************
*** 700,706 ****
    gtk_container_add (GTK_CONTAINER (gxfce_quit), gxfce_quit_pixmap);
  
    gxfce_quit_tooltip = my_tooltips_new (current_config.tooltipsdelay);
!   gtk_tooltips_set_tip (gxfce_quit_tooltip, gxfce_quit, _("Quit"), "ContextHelp/buttons/?");
    gtk_object_set_data (GTK_OBJECT (gxfce), "tooltips", gxfce_quit_tooltip);
  
    gtk_table_attach (GTK_TABLE (gxfce_rightbuttons_table), gxfce_quit, 0, 1, 1, 2, (GtkAttachOptions) GTK_EXPAND | GTK_FILL | GTK_SHRINK, (GtkAttachOptions) GTK_EXPAND | GTK_SHRINK, 0, 0);
--- 696,702 ----
    gtk_container_add (GTK_CONTAINER (gxfce_quit), gxfce_quit_pixmap);
  
    gxfce_quit_tooltip = my_tooltips_new (current_config.tooltipsdelay);
!   gtk_tooltips_set_tip (gxfce_quit_tooltip, gxfce_quit, _("Exit"), "ContextHelp/buttons/?");
    gtk_object_set_data (GTK_OBJECT (gxfce), "tooltips", gxfce_quit_tooltip);
  
    gtk_table_attach (GTK_TABLE (gxfce_rightbuttons_table), gxfce_quit, 0, 1, 1, 2, (GtkAttachOptions) GTK_EXPAND | GTK_FILL | GTK_SHRINK, (GtkAttachOptions) GTK_EXPAND | GTK_SHRINK, 0, 0);
diff -rc xfce-3.8.9.orig/xfce/xfce_cb.c xfce-3.8.9/xfce/xfce_cb.c
*** xfce-3.8.9.orig/xfce/xfce_cb.c	Thu Oct  4 13:37:21 2001
--- xfce-3.8.9/xfce/xfce_cb.c	Sun Oct 28 10:48:45 2001
***************
*** 230,247 ****
  
    clock = MY_GTK_CLOCK (data);
    mode = my_gtk_clock_get_mode (clock);
- #ifdef OLD_STYLE
    if (mode == MY_GTK_CLOCK_DIGITAL)
- #else
-   if (mode == MY_GTK_CLOCK_LEDS)
- #endif
      my_gtk_clock_set_mode (clock, MY_GTK_CLOCK_ANALOG);
    else
- #ifdef OLD_STYLE
      my_gtk_clock_set_mode (clock, MY_GTK_CLOCK_DIGITAL);
- #else
-     my_gtk_clock_set_mode (clock, MY_GTK_CLOCK_LEDS);
- #endif
    current_config.digital_clock = (mode == MY_GTK_CLOCK_ANALOG);
    writeconfig ();
  }
--- 230,239 ----
***************
*** 273,290 ****
  
    mode = my_gtk_clock_get_mode (clock);
  
- #ifdef OLD_STYLE
    GTK_CHECK_MENU_ITEM (gxfce_clock_digital_mode)->active = (mode == MY_GTK_CLOCK_DIGITAL);
- #else
-   GTK_CHECK_MENU_ITEM (gxfce_clock_digital_mode)->active = (mode == MY_GTK_CLOCK_LEDS);
- #endif
    GTK_CHECK_MENU_ITEM (gxfce_clock_hrs_mode)->active = my_gtk_clock_military_shown (clock);
  
- #ifdef OLD_STYLE
    gtk_widget_set_sensitive (GTK_WIDGET (gxfce_clock_hrs_mode), (mode == MY_GTK_CLOCK_DIGITAL));
- #else
-   gtk_widget_set_sensitive (GTK_WIDGET (gxfce_clock_hrs_mode), (mode == MY_GTK_CLOCK_LEDS));
- #endif
  
    gtk_menu_popup (GTK_MENU (gxfce_clock_popup_menu), NULL, NULL, NULL, NULL, event->button, event->time);
    return (TRUE);
--- 265,274 ----
diff -rc xfce-3.8.9.orig/xfce.spec xfce-3.8.9/xfce.spec
*** xfce-3.8.9.orig/xfce.spec	Tue Oct  2 14:38:44 2001
--- xfce-3.8.9/xfce.spec	Sun Oct 28 10:45:01 2001
***************
*** 16,23 ****
  Group: 		User Interface/Desktops
  Source:		http://www.xfce.org/archive/%{name}-%{version}.tar.gz
  Buildroot: 	/var/tmp/%{name}-root
! # Requires: 	xscreensaver, xfce-libs, gtk+ >= 1.2.8
! Requires: 	xscreensaver, gtk+ >= 1.2.8
  Packager:	Olivier Fourdan <fourdan@xfce.org>
  
  %description
--- 16,22 ----
  Group: 		User Interface/Desktops
  Source:		http://www.xfce.org/archive/%{name}-%{version}.tar.gz
  Buildroot: 	/var/tmp/%{name}-root
! Requires: 	gtk+ >= 1.2.8
  Packager:	Olivier Fourdan <fourdan@xfce.org>
  
  %description
